<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/renormvec.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>renormvec.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for renormvec.c:</div>
<div class="dynsection">
<div class="center"><img src="renormvec_8c__incl.png" border="0" usemap="#util_2renormvec_8c_map" alt=""/></div>
<map name="util_2renormvec_8c_map" id="util_2renormvec_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="renormvec_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4">RenormVec</a> (Vec v, PetscReal normset, PetscReal normtol, int dim)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="abba3d002260d6e3e062ac69a80300aa4"></a><!-- doxytag: member="renormvec.c::RenormVec" ref="abba3d002260d6e3e062ac69a80300aa4" args="(Vec v, PetscReal normset, PetscReal normtol, int dim)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal RenormVec </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>normset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>normtol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>dim</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="renormvec_8c_source.html#l00029">29</a> of file <a class="el" href="renormvec_8c_source.html">renormvec.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="renormvec_8c_abba3d002260d6e3e062ac69a80300aa4_icgraph.png" border="0" usemap="#renormvec_8c_abba3d002260d6e3e062ac69a80300aa4_icgraph_map" alt=""></div>
<map name="renormvec_8c_abba3d002260d6e3e062ac69a80300aa4_icgraph_map" id="renormvec_8c_abba3d002260d6e3e062ac69a80300aa4_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="477,72,605,103"/><area shape="rect" id="node12" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="503,334,580,364"/><area shape="rect" id="node17" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="499,126,584,156"/><area shape="rect" id="node21" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d" title="EquilCheck" alt="" coords="149,48,237,79"/><area shape="rect" id="node24" href="magset_8c.html#a8fd02adfde9e3d9ac120c87dee020678" title="MagSet" alt="" coords="160,386,227,416"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="147,126,240,156"/><area shape="rect" id="node37" href="regrefine_8c.html#a445ec9c1079f67af589544afbcea155f" title="RegularRefinement" alt="" coords="292,334,423,364"/><area shape="rect" id="node40" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="144,230,243,260"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="835,230,893,260"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="696,178,749,208"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="941,230,992,260"/><area shape="rect" id="node14" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="660,334,785,364"/><area shape="rect" id="node26" href="maginit_8c.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="325,387,389,418"/><area shape="rect" id="node28" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="512,387,571,418"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="331,75,384,106"/><area shape="rect" id="node42" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="321,230,393,260"/><area shape="rect" id="node44" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="472,230,611,260"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

